Package org.apache.felix.webconsole.i18n

## Class LocalizationHelper

- java.lang.Object
- - org.apache.felix.webconsole.i18n.LocalizationHelper

    public class LocalizationHelper
    extends Object

The localization helper is supposed to be used from the bundle info providers. It will allow them to provide locale-specific names and descriptions of the bundle information entries.

Author:
  Valentin Valchev

### Constructor Summary

Constructors
`LocalizationHelper​(org.osgi.framework.Bundle bundle)` Creates a new helper instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`ResourceBundle` `getResourceBundle​(Locale locale)` Used to retrieve the resource bundle for the specified locale.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocalizationHelper

    public LocalizationHelper​(org.osgi.framework.Bundle bundle)

Creates a new helper instance.

Parameters:
  `bundle` - the bundle that provides the localization resources. See the standard OSGi-type localization support.

### Method Detail

#### getResourceBundle

    public ResourceBundle getResourceBundle​(Locale locale)

Used to retrieve the resource bundle for the specified locale.

Parameters:
  `locale` - the requested locale.
Returns:
  the resource bundle (could be empty, but never `null`)